# interfaces Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTextEditor::ClipboardInterface Class Reference

This is an interface for accessing the clipboard through the View class. More...

`#include <clipboardinterface.h>`

List of all members.

## Public Member Functions

unsigned int | clipboardInterfaceNumber () const
virtual void | copy () const =0
virtual void | cut ()=0
virtual void | paste ()=0

## Protected Member Functions

void | setClipboardInterfaceDCOPSuffix (const QCString &suffix)

## Friends

class | PrivateClipboardInterface

## Detailed Description

This is an interface for accessing the clipboard through the View class.

Definition at line 32 of file ktexteditor/clipboardinterface.h.

## Member Function Documentation

virtual void KTextEditor::ClipboardInterface::copy | ( |  | ) | const`[pure virtual]`

| copies selected text

virtual void KTextEditor::ClipboardInterface::cut | ( |  | ) | `[pure virtual]`

| copies selected text

virtual void KTextEditor::ClipboardInterface::paste | ( |  | ) | `[pure virtual]`

| copies selected text

The documentation for this class was generated from the following files:

- ktexteditor/clipboardinterface.h
- clipboardinterface.cpp

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:13 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003